﻿using SoftwareInstallationDataModels;
using SoftwareInstallationDataModels.Models;

namespace SoftwareInstallationContracts.BindingModels
{
    public class ShopBindingModel : IShopModel
    {
        public string Name { get; set; } = string.Empty;

        public string Address { get; set; } = string.Empty;

        public DateTime DateOpening { get; set; } = DateTime.Now;

        public Dictionary<int, (IPackageModel, int)> Packages
        {
            get;
            set;
        } = new();

        public int Id { get; set; }
		public int MaxCountPackages { get; set; }
	}
}
