﻿using SoftwareInstallationDataModels.Models;

namespace SoftwareInstallationDataModels
{
    public interface IShopModel : IId
    {
        string Name { get; }
        string Address { get; }
        int MaxCountPackages { get; }
        DateTime DateOpening { get; }
        Dictionary<int, (IPackageModel, int)> Packages { get; }
    }
}
