﻿using SoftwareInstallationDatabaseImplement.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SoftwareInstallationDatabaseImplement.Models
{
    public class ShopPackage
    {
        public int Id { get; set; }
        [Required]
        public int PackageId { get; set; }
        [Required]
        public int ShopId { get; set; }
        [Required]
        public int Count { get; set; }

        public virtual Shop Shop { get; set; } = new();
        public virtual Package Package { get; set; } = new();
    }
}
